Redmine - Defect #5339

LDAP authenication only work if onthefly_register is set (upgrade 0.8.5 to 0.9.3 fails)
2010-04-16 15:29 - Daniel Bond

Status: Closed Start date: 2010-04-16
Priority: Normal Due date:

Assignee: % Done: 0%
Category: LDAP Estimated time: 1.00 hour
Target version:

Resolution: Invalid Affected version: 0.9.3
Description

I've been trying to upgrade Redmine 0.8.5 to 0.9.3, but after upgrade LDAP logins stopped working. I've poked a bit around with
ruby-debug, and the source of the problem in models/auth_source.rb line 38:

=> 38 AuthSource.find(:all, :conditions => ["onthefly_register=?", true]).each do |source]

The reason LDAP logins didn't work for me, was that "onthefly_register" setting was not set. | suspect this could affect other users
upgrading to 0.9.3 also.

| have a couple suggestions how to fix it:

1. remove the check for "onthefly_register" in line 38, because it seems unnecessary
2. update the UpgradingRedmine wiki-page to mention how to fix it. (or mention in changelog)

I'd be happy to fix this, but would like input on how to fix it, so I'm more certain it's the right thing to do.

History

#1 - 2010-04-16 15:48 - Daniel Bond

| see the user allready is registered in the database (with type set to NULL, if that matters). But when | turn on "onthefly_register", | can login, but the
user is asked to register details like email again.

| tried registering my details again, and get the exception:

SQLite3::SQLException: no such table: member_roles

#2 - 2010-04-16 15:54 - Daniel Bond

- Status changed from New to Resolved

My bad. | found the cause. | was testing to much, and had a database which wasn't fully migrated.

#3 - 2010-04-16 16:59 - Felix Schéfer
- Status changed from Resolved to Closed

- Resolution set to Invalid

I was thinking that, but hadn't had the time to post. Glad you found that out :-)

2025-07-02 1/1



http://www.tcpdf.org

